Package ru.bitel.bgbilling.plugins.dispatch.common.bean

# Class DispatchMessageStatistic

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.bgbilling.plugins.dispatch.common.bean.DispatchMessageStatistic

All Implemented Interfaces:
  `Serializable`, `Idable`

public class DispatchMessageStatistic extends Id
Бин для хранения информации об отправленных сообещниях

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DispatchMessageStatistic()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getContactId()`
  Получение кода контакта договора, кому было отправлено данное сообщение
  `String`
  `getContactValue()`
  Получение текстового представления контакта.
  `int`
  `getContractId()`
  Получение кода договора, сообщение для которого было отправлено.
  `String`
  `getContractTitle()`
  Получение названия договора
  `int`
  `getDispatchId()`
  Получение рассылки, сообщение по которой было отправлено
  `String`
  `getDispatchTitle()`
  Получение названия рассылки
  `int`
  `getMessageId()`
  Получение кода сообщения, которое было отправлено
  `String`
  `getMessageText()`
  Получение текста сообщения
  `Date`
  `getSendDate()`
  Получение даты и времени, когда было отправлено сообщение
  `DispatchMessageStatistic`
  `setContactId(int contactId)`
  Установка списка контактов договора, кому было отправлено данное сообщение
  `DispatchMessageStatistic`
  `setContactValue(String contact)`
  Установка текстового представления контакта.
  `DispatchMessageStatistic`
  `setContractId(int contractId)`
  Установка кода договора, сообщение для которого было отправлено.
  `DispatchMessageStatistic`
  `setContractTitle(String contractTitle)`
  Установка названия договора
  `DispatchMessageStatistic`
  `setDispatchId(int dispatchId)`
  Установка рассылки, сообщение по которой было отправлено
  `DispatchMessageStatistic`
  `setDispatchTitle(String dispatchTitle)`
  Установка названия рассылки
  `DispatchMessageStatistic`
  `setId(int id)`
  Устанавливает id объекта
  `DispatchMessageStatistic`
  `setMessageId(int messageId)`
  Установка кода сообщения, которое было отправлено
  `DispatchMessageStatistic`
  `setMessageText(String messageText)`
  Установка текста сообщения
  `DispatchMessageStatistic`
  `setSendDate(Date sendDate)`
  Установка даты и времени, когда было отправлено сообщение

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### DispatchMessageStatistic

    public DispatchMessageStatistic()

- ## Method Details

  - ### getContactId

    public int getContactId()
    Получение кода контакта договора, кому было отправлено данное сообщение
    Returns:
      код контакта договора

  - ### getContactValue

    public String getContactValue()
    Получение текстового представления контакта.
    Returns:
      контакт

  - ### getContractId

    public int getContractId()
    Получение кода договора, сообщение для которого было отправлено.
    Returns:
      код договора

  - ### getContractTitle

    public String getContractTitle()
    Получение названия договора
    Returns:
      название договора

  - ### getDispatchId

    public int getDispatchId()
    Получение рассылки, сообщение по которой было отправлено
    Returns:
      код рассылки

  - ### getDispatchTitle

    public String getDispatchTitle()
    Получение названия рассылки
    Returns:
      название рассылки

  - ### getMessageId

    public int getMessageId()
    Получение кода сообщения, которое было отправлено
    Returns:
      код сообщения

  - ### getMessageText

    public String getMessageText()
    Получение текста сообщения
    Returns:
      текст сообщения

  - ### getSendDate

    public Date getSendDate()
    Получение даты и времени, когда было отправлено сообщение
    Returns:
      дата и время отправки сообщения

  - ### setContactId

    public DispatchMessageStatistic setContactId(int contactId)
    Установка списка контактов договора, кому было отправлено данное сообщение
    Parameters:
      `contactId` - список кодов контактов договора

  - ### setContactValue

    public DispatchMessageStatistic setContactValue(String contact)
    Установка текстового представления контакта.
    Parameters:
      `contact` - контакт

  - ### setContractId

    public DispatchMessageStatistic setContractId(int contractId)
    Установка кода договора, сообщение для которого было отправлено.
    Parameters:
      `contractId` - код договора

  - ### setContractTitle

    public DispatchMessageStatistic setContractTitle(String contractTitle)
    Установка названия договора
    Parameters:
      `contractTitle` - название договора

  - ### setDispatchId

    public DispatchMessageStatistic setDispatchId(int dispatchId)
    Установка рассылки, сообщение по которой было отправлено
    Parameters:
      `dispatchId` - код рассылки

  - ### setDispatchTitle

    public DispatchMessageStatistic setDispatchTitle(String dispatchTitle)
    Установка названия рассылки
    Parameters:
      `dispatchTitle` - название рассылки

  - ### setId

    public DispatchMessageStatistic setId(int id)
    Description copied from class: `Id`
    Устанавливает id объекта
    Overrides:
      `setId` in class `Id`

  - ### setMessageId

    public DispatchMessageStatistic setMessageId(int messageId)
    Установка кода сообщения, которое было отправлено
    Parameters:
      `messageId` - код сообщения

  - ### setMessageText

    public DispatchMessageStatistic setMessageText(String messageText)
    Установка текста сообщения
    Parameters:
      `messageText` - текст сообщения

  - ### setSendDate

    public DispatchMessageStatistic setSendDate(Date sendDate)
    Установка даты и времени, когда было отправлено сообщение
    Parameters:
      `sendDate` - дата и время отправки сообщения